DROP TABLE IF EXISTS R_jeu;
CREATE TABLE R_jeu (
  nom VARCHAR(255) NOT NULL,
  description TEXT NOT NULL,
  slug VARCHAR(255) PRIMARY KEY,
  est_valide TINYINT(1) NOT NULL,
  max_joueurs INT(11),
  min_joueurs INT(11),
  min_equipes INT(11),
  max_equipes INT(11),
  type ENUM ('duels', 'equipes') NOT NULL,
  type_scores ENUM ('classement', 'scores') NOT NULL
);

DROP TABLE IF EXISTS R_joueur;
CREATE TABLE R_joueur (
  slug VARCHAR(255) PRIMARY KEY,
  pseudo VARCHAR(100) NOT NULL,
  password TEXT NOT NULL,
  nom VARCHAR(150) NOT NULL,
  prenom VARCHAR(150) NOT NULL,
  email VARCHAR(255) UNIQUE NOT NULL,
  description TEXT NOT NULL,
  avatar BOOLEAN DEFAULT '0'
);

DROP TABLE IF EXISTS R_admin;
CREATE TABLE R_admin (
  identite varchar(255) REFERENCES R_joueur(slug),
  PRIMARY KEY (identite)
  );

DROP TABLE IF EXISTS R_partie;
CREATE TABLE R_partie (
  id INT(11) PRIMARY KEY AUTO_INCREMENT,
  jeu VARCHAR(255) REFERENCES R_jeu(slug),
  date TIMESTAMP NOT NULL
);

DROP TABLE IF EXISTS R_joueur_partie;
CREATE TABLE R_joueur_partie (
  partie INT(11) REFERENCES R_partie(id),
  joueur VARCHAR(255) REFERENCES R_joueur(slug),
  classement INT(11) NOT NULL,
  score INT(11) NOT NULL,
  score_partie INT(11),
  PRIMARY KEY (joueur, partie)
);

DROP TABLE IF EXISTS R_joueur_jeu;
CREATE TABLE R_joueur_jeu (
  joueur varchar(255) REFERENCES R_joueur(slug),
  jeu VARCHAR(255) REFERENCES R_jeu(slug),
  score INT(11),
  classement INT(11),
  est_jeu_favoris tinyint(1),
  PRIMARY KEY (joueur, jeu)
);

